// scripted by Rassadin Pavel (RPV); e-mail: mf36@yandex.ru; data: 14.08.2006; freeware;

const mm = 72/25.4;
var doc = app.activeDocument;
var bleedBorder = 2 *mm;
var dialogStr = 'Write PDFpreset name';
var NamePreset = 'Acr 6 bleed 2 300';
var	h = doc.height;
var	w = doc.width;
var preffix = "_sb_";
var suffix = "";
var noname = "0";
var start = true;
if (documents.length > 0){
	if (doc.saved==false) {
			alert('File must be saved before execute script!!!','saveLayersToPDF',true);
			start = false;
	}
	if (start){
		if (str = prompt (dialogStr, NamePreset)) {
			NamePreset = str;
			if (checkPDFPresetName(NamePreset)){
				var saveOptions = new PDFSaveOptions();	
					saveOptions.pDFPreset = NamePreset;						
				fullDocName = doc.fullName;		
				for (j=0; j<doc.layers.length; j++){								
					if ((doc.layers[j].printable == true)&&(doc.layers[j].locked == false)) {
						doc.layers[j].locked = true;
						nameLayer = doc.layers[j].name;
						for (i=0; i<doc.layers.length; i++){								
							if (doc.layers[i].locked == false){
								doc.layers[i].visible = true;
								doc.layers[i].remove();
								i = i-1;
							}					 				
						}
						for (i=0; i<doc.layers.length; i++){
							doc.layers[i].locked = false;
							doc.layers[i].visible = true;
						}
						var param = doc.name.split('.');		
						realDocName = param[0];
						if (nameLayer == noname) docName = preffix+realDocName+suffix;
						else docName = preffix+realDocName+'_'+nameLayer+suffix;	
						var saveName = new File ( doc.path + "/" + docName );
						doc.saveAs( saveName, saveOptions );				
						doc.close(SaveOptions.DONOTSAVECHANGES);
						doc = null;
						app.open (fullDocName);
						doc = app.activeDocument;
					}
				}
				doc.close(SaveOptions.DONOTSAVECHANGES);
				doc = null;
			}
			else {
				alert('Wrong PDFPreset name!!!','saveLayersToPDF',true);	
			}
		}	
	}
}

function checkPDFPresetName(NamePreset){
	var a = false;	
	for (i=0; i<app.PDFPresetsList.length; i++ ){		
		if (app.PDFPresetsList[i] == NamePreset) a = true;
	}
	return a;
}



